MONGOC_STREAM_CORK(3)

NAME
mongoc_stream_cork - mongoc_stream_cork()

SYNOPSIS

int
mongoc_stream_cork (mongoc_stream_t *stream);

PARAMETERS

•   stream: A mongoc_stream_t.

    This function shall prevent the writing of bytes to the underlying socket.

    NOTE: Not all streams implement this function. Buffering generally works better.

RETURNS

0 on success, -1 on failure and errno is set.

SEE ALSO

mongoc_stream_buffered_new().

mongoc_stream_uncork().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc